<div *ngIf="!loading">
  <hr />
  <div class="row">
    <div class="col">
      <h2>
        Опаты за сегодня
      </h2>
      <div class="max-400">
        <ul class="list-group">
          <li *ngFor="let payment of today.payments" class="list-group-item list-group-item-action flex-column align-items-start">
            <div class="d-flex w-100 justify-content-between">
              <h5 class="mb-1">{{payment.student.name}}</h5>
              <small>{{payment.date|date:'dd-MM-yyyy'}}</small>
            </div>
            <p>
              <b>{{payment.sum}} тг</b> за {{payment.paid_from}} - {{payment.paid_to}}
            </p>
          </li>
        </ul>
      </div>
    </div>
    <div class="col">
      <h2>
        Занятия за сегодня
      </h2>
      <div class="max-400">
        <ul class="list-group list-group-flush">
          <li class="list-group-item list-group-item-action flex-column align-items-start pointer" *ngFor="let exercise of today.exercises">
            <div class="d-flex w-100 justify-content-between">
              <h5 class="mb-1">Урок №{{exercise.id}} (Группа "{{exercise.group.name}}")</h5>
              <small>с {{exercise.start_time}} до {{exercise.end_time}}</small>
            </div>
            <p class="mb-1">Дата: {{exercise.class_date}}</p>
            <small *ngIf="exercise.comments">{{exercise.comments}}</small>
          </li>
        </ul>
      </div>
    </div>
  </div>
  <hr />
  <div class="row">
    <div class="col">
      <h2>Студенты</h2>
      <div class="max-400">
        <ul class="list-group list-group-flush">
          <li class="list-group-item d-flex justify-content-between align-items-center" *ngFor="let student of students">
            {{student.name}}
          </li>
        </ul>
      </div>
    </div>
    <div class="col">
      <h2>
        Добавить студента
      </h2>
      <div class="card">
        <div class="card-body">
          <form name="studentForm" [formGroup]="studentForm" (ngSubmit)="onSubmitStudent()">
            <div class="form-group">
              <label>ФИО</label>
              <input type="text" class="form-control" formControlName="name">
            </div>
            <div class="form-group">
              <label>Группа</label>
              <select class="form-control" formControlName="group_id">
                <option *ngFor="let _group of groups" [ngValue]="_group.id*1">{{_group.name}}</option>
              </select>
            </div>
            <button class="btn btn-primary mt-2 mr-2" [disabled]="studentForm.invalid" type="submit">Сохранить</button>
            <button class="btn btn-warning mt-2 mr-2" type="reset">Отмена</button>
          </form>
        </div>
      </div>
    </div>
  </div>
  <hr />
  <div class="row">
    <div class="col">
      <h2>Группы</h2>
      <div class="max-400">
        <ul class="list-group list-group-flush">
          <li class="list-group-item d-flex justify-content-between align-items-center" *ngFor="let group of groups">{{group.name}}
              <span class="badge badge-primary badge-pill" (click)="selectForUpdate(group)"><i class="fa fa-edit"></i></span>
          </li>
        </ul>
      </div>
    </div>
    <div class="col">
      <h2>Преподаватели</h2>
      <div class="max-400">
        <ul class="list-group list-group-flush">
          <li class="list-group-item" *ngFor="let teacher of teachers">{{teacher.full_name}}</li>
        </ul>
      </div>
    </div>
  </div>
  <hr />
  <div class="row">
    <div class="col">
      <h2>Добавить группу</h2>
      <div class="card">
        <div class="card-body">
          <form name="groupForm" [formGroup]="groupForm" (ngSubmit)="onSubmitGroup()">
            <h3 class="mb-2" *ngIf="groupForm.value.id">
              Редактирование
            </h3>
            <div class="form-group">
              <label>Название</label>
              <input type="text" class="form-control" formControlName="name">
            </div>
            <div class="form-group">
              <label>Преподаватель</label>
              <select class="form-control" formControlName="user_id">
                <option *ngFor="let _teacher of teachers" [ngValue]="_teacher.id*1">{{_teacher.full_name}}</option>
              </select>
            </div>
            <div class="form_group">
              <label>Оплата за день</label>
              <input type="nymber" class="form-control" formControlName="payment_for_day">
            </div>
            <div class="form-check" *ngFor="let day of weekRus">
              <input type="checkbox" class="form-check-input" [formControlName]="day.short" [id]="'checkbox_'+day.short">
              <label class="form-check-label" [for]="'checkbox_'+day.short">{{day.name}}</label>
            </div>
            <button class="btn btn-primary mt-2 mr-2" [disabled]="groupForm.invalid" type="submit">Сохранить</button>
            <button class="btn btn-warning mt-2 mr-2" type="reset">Отмена</button>
          </form>
        </div>
      </div>
    </div>
    <div class="col">
      <h2>Добавить преподавателя</h2>
      <div class="card">
        <div class="card-body">
          <form name="teacherForm" [formGroup]="teacherForm" (ngSubmit)="onSubmitTeacher()">
            <div class="form-group">
              <label>ФИО</label>
              <input type="text" class="form-control" formControlName="full_name">
            </div>
            <div class="form-group">
              <label>Логин</label>
              <input type="text" class="form-control" formControlName="username">
            </div>
            <div class="form-group">
              <label>Пароль</label>
              <input type="text" class="form-control" formControlName="password">
            </div>
            <button class="btn btn-primary mt-2 mr-2" [disabled]="teacherForm.invalid" type="submit">Сохранить</button>
            <button class="btn btn-warning mt-2 mr-2" type="reset">Отмена</button>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
